
\chapter{Ontologies Configuration XML Schemas}

This is the \verb!xsd! XML schema file for representing a peer propositionnal knowledge :

% TODO : Add a perl script to add the content of the peerProfile.xsd file here.
% TODO : coloration system
\begin{lstlisting}[language=xml]
<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<xsd:element name="peer">
		<xsd:complexType>

			<xsd:all>
				<xsd:element name="uri" type="uri" />
				<xsd:element name="theory" type="theory" />
				<xsd:element name="mapping" type="mapping" />
				<xsd:element name="production" type="production" />
			</xsd:all>

		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="uri">
		<xsd:simpleContent>
			<xsd:extension base="xsd:string">
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>

	<xsd:complexType name="theory">
		<xsd:sequence>
			<xsd:element name="clause" type="clause" minOccurs="1" maxOccurs="unbounded" />
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="mapping">
		<xsd:sequence>
			<xsd:element name="clause" type="clause" minOccurs="0" maxOccurs="unbounded" />
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="production">
		<xsd:sequence>
			<xsd:element name="variable" type="variable" minOccurs="1" maxOccurs="unbounded" />
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="clause">
		<xsd:sequence>
			<xsd:element name="literal" type="literal" minOccurs="1" maxOccurs="unbounded" />
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="variable">
		<xsd:simpleContent>
			<xsd:extension base="xsd:string">
				<xsd:attribute name="url" type="xsd:string" />
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>

	<xsd:complexType name="literal">
		<xsd:sequence>
			<xsd:choice>
				<xsd:element name="variable" type="variable" />
				<xsd:element name="not" type="not" />
			</xsd:choice>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="not">
		<xsd:sequence>
			<xsd:element name="variable" type="variable" minOccurs="1" maxOccurs="1" />
		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>   


\end{lstlisting}

